# Getting a list of addresses

The method allows you to get all the user's personal addresses. Deposits and withdrawals are available for all addresses, but the user should only see addresses with isActive: true.\
Thus, if necessary, you can generate a new address for a user in a certain coin and network, then all previous addresses in this coin and network will have the parameter isActive: false (read more in the previous method "Get/Renew personal address")

{% openapi src="/files/hz5gQVHu2gDZcTYbWeSA" path="/api-gateway/personal-addresses/get-user-addresses" method="post" %}
[openapi.json](https://615678623-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fa1TzfeK1Z0GLFNxiNpMW%2Fuploads%2Fgit-blob-8361e5ac3780661a20a51ec0d96901ce1db69b92%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apollopayment.io/english-2/api-reference/personal_addresses/post_get-user-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
